Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 257)
@@ -1097,25 +1515,57 @@
     $data=date("Y/m/d");
 	$tempo=date("H:i:s");
-	mysql_query("delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
+	$sql="delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 	$query="select * from ".$prefix."_ele_voti_parziale where data='$giorno' and orario='$ora' and id_sez='$id_sez'";
 	if ($genere==0){
 		$query.=" and id_gruppo=$id_gruppo";
 	}
-	$res=mysql_query("$query",$dbi);
-	$righe=mysql_num_rows($res);
+	$sql="$query";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+	$righe=$res->rowCount();
     if (!$righe){
-        mysql_query("insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$data','$tempo','','id_parz:$id_parz ora: $ora data:$giorno voti uomini:$voti_u donne:$voti_d totali:$voti_t id_gruppo:$id_gruppo','".$prefix."_ele_voti_parziale')", $dbi);
-	mysql_query("insert into ".$prefix."_ele_voti_parziale values ('$id_cons', '$id_sez','$id_parz','$ora','$giorno','$voti_u','$voti_d','$voti_t','$id_gruppo')", $dbi);
+        $sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$data','$tempo','','id_parz:$id_parz ora: $ora data:$giorno voti uomini:$voti_u donne:$voti_d totali:$voti_t id_gruppo:$id_gruppo','".$prefix."_ele_voti_parziale')";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+	$sql="insert into ".$prefix."_ele_voti_parziale values ('$id_cons', '$id_sez','$id_parz','$ora','$giorno','$voti_u','$voti_d','$voti_t','$id_gruppo')";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 	if ($fileout) fwrite($fp,"insert into ".$prefix."_ele_voti_parziale values ('$id_cons', '$id_sez','$id_parz','$ora','$giorno','$voti_u','$voti_d','$voti_t','$id_gruppo');\n");
      } elseif($op=="true"){
-        $result = mysql_query("delete from ".$prefix."_ele_voti_parziale where id_parz='$id_parz'", $dbi);
+        $sql="delete from ".$prefix."_ele_voti_parziale where id_parz='$id_parz'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
         if ($fileout) fwrite($fp,"delete from ".$prefix."_ele_voti_parziale where id_parz='$id_parz';\n");
 	 } else {
-  	$res=mysql_query("select * from ".$prefix."_ele_voti_parziale where id_parz=$id_parz",$dbi);
-	$ar=mysql_fetch_array($res);
+  	$sql="select * from ".$prefix."_ele_voti_parziale where id_parz=$id_parz";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+	$ar=$res->fetch(PDO::FETCH_BOTH);
 	
 	if ($ar['voti_uomini']!=$voti_u or $ar['voti_donne']!=$voti_d or $ar['voti_complessivi']!=$voti_t){   	
-	mysql_query("insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$data','$tempo','ora:$ar[3] data:$ar[4] voti uomini:$ar[5] donne:$ar[6] totali:$ar[7] gruppo:$ar[8]','id_parz:$id_parz ora: $ora data:$giorno voti uomini:$voti_u donne:$voti_d totali:$voti_t id_gruppo:$id_gruppo','".$prefix."_ele_voti_parziale')", $dbi);	
-	$result = mysql_query("update  ".$prefix."_ele_voti_parziale set voti_uomini='$voti_u', voti_donne='$voti_d', voti_complessivi='$voti_t' where id_parz='$id_parz'", $dbi);
+	$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$data','$tempo','ora:$ar[3] data:$ar[4] voti uomini:$ar[5] donne:$ar[6] totali:$ar[7] gruppo:$ar[8]','id_parz:$id_parz ora: $ora data:$giorno voti uomini:$voti_u donne:$voti_d totali:$voti_t id_gruppo:$id_gruppo','".$prefix."_ele_voti_parziale')";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+	
+	$sql="update  ".$prefix."_ele_voti_parziale set voti_uomini='$voti_u', voti_donne='$voti_d', voti_complessivi='$voti_t' where id_parz='$id_parz'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 	if ($fileout) fwrite($fp,"update  ".$prefix."_ele_voti_parziale set voti_uomini='$voti_u', voti_donne='$voti_d', voti_complessivi='$voti_t' where id_parz='$id_parz';\n");
 	}
@@ -1158,8 +1608,16 @@
 	."<td bgcolor=\"#ffffff\"></td> </tr>";
 /*if($ops==3 and ($genere==3 or ($genere==5 and $fascia>$limite)) )
-    $result = mysql_query("select id_cons,id_sez,validi_lista,nulli,bianchi,contestati_lista,voti_nulli_lista,solo_gruppo,contestati,voti_nulli from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
+    $result = mysql_query("select id_cons,id_sez,validi_lista,nulli,bianchi,contestati_lista,voti_nulli_lista,solo_gruppo,contestati,voti_nulli from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 else */
-    $result = mysql_query("select id_cons,id_sez,validi,nulli,bianchi,contestati,voti_nulli,'0','0','0',solo_lista from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
-    list($id_cons2,$id_sez2,$validi, $nulli, $bianchi, $contestati,$votinulli,$sg,$conts,$nullis,$sololista) = mysql_fetch_row($result);
+    $sql = "select id_cons,id_sez,validi,nulli,bianchi,contestati,voti_nulli,'0','0','0',solo_lista from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+    list($id_cons2,$id_sez2,$validi, $nulli, $bianchi, $contestati,$votinulli,$sg,$conts,$nullis,$sololista) = $result->fetch(PDO::FETCH_NUM);
     $tot_nulli=$nulli+$bianchi+$contestati+$votinulli;
     $tot_voti=$validi+$tot_nulli+$conts+$nullis;
@@ -1228,26 +1686,58 @@
 $log_ora=getdate(time());	
 $orario=($log_ora['hours'].":".$log_ora['minutes'].":".$log_ora['seconds']);
-mysql_query("delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
-
-$result= mysql_query("select voti_complessivi from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez' order by id_parz desc", $dbi);
-list($voti_t) = mysql_fetch_row($result);
+$sql="delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+
+$sql="select voti_complessivi from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez' order by id_parz desc";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+list($voti_t) = $result->fetch(PDO::FETCH_NUM);
    $tot_voti=$validi+$nulli+$bianchi+$contestati+$votinulli;
 $sololista=$voti_t-$tot_voti;
-	$result= mysql_query("select solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
-	list($flagsg,$disgiunto)=mysql_fetch_row($result);
-	$result= mysql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
-	$ar=mysql_fetch_array($result);
+	$sql="select solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+	list($flagsg,$disgiunto)=$result->fetch(PDO::FETCH_NUM);
+	$sql="select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+	$ar=$result->fetch(PDO::FETCH_NUM);
 	$validilista=$validi-$ar['solo_gruppo'];
 	if ($ar['solo_lista'] or !$disgiunto) $rigasl=''; else $rigasl=", solo_lista='$sololista'";
 #die("qui: if($ops==3 and ($genere==3 or $genere==4 or $genere==5) and $votog){");
 	if($ops==3 and ($genere==3 or $genere==4 or $genere==5) and ($votog or $genere==4)){
-	mysql_query("insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario','validi_lista:$ar[14] nulli:$ar[7] bianchi:$ar[8] contestati_lista:$ar[15]  voti_nulli_lista:$ar[16]','validi_lista=$validilista, nulli=$nulli,bianchi=$bianchi,contestati_lista=$contestati,voti_nulli_lista=$votinulli','_ele_sezioni')", $dbi);	
-
-/*		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli_lista='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
+	$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario','validi_lista:$ar[14] nulli:$ar[7] bianchi:$ar[8] contestati_lista:$ar[15]  voti_nulli_lista:$ar[16]','validi_lista=$validilista, nulli=$nulli,bianchi=$bianchi,contestati_lista=$contestati,voti_nulli_lista=$votinulli','_ele_sezioni')";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+	
+
+/*		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli_lista='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli_lista='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez';\n"); */
-		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' $rigasl where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
+		$sql="update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' $rigasl where id_cons='$id_cons' and id_sez='$id_sez' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validilista', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' $rigasl where id_cons='$id_cons' and id_sez='$id_sez';\n");
 	}else{
- 	mysql_query("insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario','validi:$ar[6] nulli:$ar[7] bianchi:$ar[8] contestati:$ar[9] voti_nulli:$ar[13]','validi=$validi, nulli=$nulli,bianchi=$bianchi,contestati=$contestati, voti_nulli=$votinulli','_ele_sezioni')", $dbi);	
+ 	$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario','validi:$ar[6] nulli:$ar[7] bianchi:$ar[8] contestati:$ar[9] voti_nulli:$ar[13]','validi=$validi, nulli=$nulli,bianchi=$bianchi,contestati=$contestati, voti_nulli=$votinulli','_ele_sezioni')";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+	
 	$valista="";
 	if ($ar['validi_lista']){ 
@@ -1256,5 +1746,9 @@
 	}
 
-		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', nulli='$nulli',bianchi='$bianchi',contestati='$contestati',voti_nulli='$votinulli' $rigasl $valista where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
+		$sql="update  ".$prefix."_ele_sezioni set validi='$validi', nulli='$nulli',bianchi='$bianchi',contestati='$contestati',voti_nulli='$votinulli' $rigasl $valista where id_cons='$id_cons' and id_sez='$id_sez' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', nulli='$nulli',bianchi='$bianchi',contestati='$contestati',voti_nulli='$votinulli' $rigasl $valista where id_cons='$id_cons' and id_sez='$id_sez';\n");
 	}
@@ -1281,6 +1775,10 @@
 $bgcolor1="#7777ff";
 $bgcolor2=$_SESSION['bgcolor2'];
-    $res = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'  ", $dbi);
-    $max = mysql_num_rows($res);
+    $sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'  ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+    $max = $res->rowCount();
     $max = $max-1;
 	 echo "<SCRIPT type=\"text/javascript\">\n\n<!--\n";
@@ -1297,6 +1795,10 @@
 	echo "<center>";
     if ($genere!=0){
-	$result = mysql_query("SELECT voti_uomini,voti_donne, voti_complessivi FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_cons='$id_cons' order by data desc,orario desc limit 0,1", $dbi);
-    	list( $voti_u, $voti_d, $voti_t) = mysql_fetch_row($result);
+	$sql="SELECT voti_uomini,voti_donne, voti_complessivi FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_cons='$id_cons' order by data desc,orario desc limit 0,1";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+    	list( $voti_u, $voti_d, $voti_t) = $result->fetch(PDO::FETCH_NUM)
    	echo "<table  class=\"table-menu\" style=\"width: 50%; color: black;\">"
 	."<tr><td></td><td align=\"center\"></td><td bgcolor=\"$bgcolor1\" align=\"center\">"._VOTIU."</td><td bgcolor=\"$bgcolor1\" align=\"center\">"._VOTID."</td><td bgcolor=\"$bgcolor1\" align=\"center\">"._VOTIT."</td></tr>"
@@ -1306,62 +1808,126 @@
 	echo "<table  class=\"table-menu\" style=\"width: 50%; color: black\">";
     if ($genere==0){
-    	$res = mysql_query("SELECT id_gruppo,si+no,validi,nulli,bianchi,contestati FROM ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez='$id_sez'  ", $dbi);
-		while (list($id_gruppo,$voti_parz,$validi,$nulli,$bianchi,$contestati) = mysql_fetch_row($res)){
+    	$sql="SELECT id_gruppo,si+no,validi,nulli,bianchi,contestati FROM ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez='$id_sez'  ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		while (list($id_gruppo,$voti_parz,$validi,$nulli,$bianchi,$contestati) = $res->fetch(PDO::FETCH_NUM)){
 			if ($voti_parz!=$validi){
-				$res2 = mysql_query("SELECT num_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' and id_gruppo='$id_gruppo'  ", $dbi);
-				list($num_gruppo) = mysql_fetch_row($res2);
+				$sql="SELECT num_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' and id_gruppo='$id_gruppo'  ";
+$res2 = $dbi->prepare("$sql");
+$res2->execute();
+
+
+				list($num_gruppo) = $res2->fetch(PDO::FETCH_NUM);
 				echo "<tr><td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI_REF." $num_gruppo: ".$voti_parz." "._NO_VAL_VOTI.": ".$validi."</b><br></td></tr>";
 			}
-			$res2 = mysql_query("SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ", $dbi);
-			list($tot) = mysql_fetch_row($res2);
+			$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ";
+$res2 = $dbi->prepare("$sql");
+$res2->execute();
+
+
+			list($tot) = $res2->fetch(PDO::FETCH_NUM);
 			if (($validi+$nulli+$bianchi+$contestati)!= $tot ){
-				$res2 = mysql_query("SELECT num_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' and id_gruppo='$id_gruppo'", $dbi);
-				list($num_gruppo) = mysql_fetch_row($res2);
+				$sql="SELECT num_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' and id_gruppo='$id_gruppo'";
+$res2 = $dbi->prepare("$sql");
+$res2->execute();
+
+
+				list($num_gruppo) = $res2->fetch(PDO::FETCH_NUM);
 				echo "<tr><td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI_REF." $num_gruppo: ".$tot." "._NO_SOMMA." ".($validi+$nulli+$bianchi+$contestati)."</b><br></td></tr>";
 			}
 		}
     }else{
-	$result= mysql_query("select solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
-	list($flagsg,$disgiunto)=mysql_fetch_row($result);
-    	$res = mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
-       	list($voti_parz) = mysql_fetch_row($res);
-        $res = mysql_query("SELECT validi,nulli,bianchi,contestati,solo_lista,voti_nulli FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
-    	list($validi,$nulli,$bianchi,$contestati,$solo_lista,$votinulli) = mysql_fetch_row($res);
+	$sql="select solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+	list($flagsg,$disgiunto)=$result->fetch(PDO::FETCH_NUM);
+    	$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+       	list($voti_parz) = $res->fetch(PDO::FETCH_NUM);
+        $sql="SELECT validi,nulli,bianchi,contestati,solo_lista,voti_nulli FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+    	list($validi,$nulli,$bianchi,$contestati,$solo_lista,$votinulli) = $res->fetch(PDO::FETCH_NUM);
 		if ($voti_parz!=($validi-$solo_lista) and $voti_parz>0){
 			echo "<tr><td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI." ".$voti_parz." "._NO_VAL_VOTI." ".($validi-$solo_lista)."</b><br></td><tr>";
     	}
-		$res2 = mysql_query("SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
-		list($tot) = mysql_fetch_row($res2);
+		$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez'";
+$res2 = $dbi->prepare("$sql");
+$res2->execute();
+
+
+		list($tot) = $res2->fetch(PDO::FETCH_NUM);
 		if ($validi+$nulli+$bianchi+$contestati+$votinulli!=$tot and $validi+$nulli+$bianchi+$contestati+$votinulli>0){
 			echo "<tr><td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI." ".$tot." "._NO_TOT_VOTI." ".($validi+$nulli+$bianchi+$contestati+$votinulli)."</b><br></td></tr>";
     	}
-		$resg=mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons=$id_cons and id_sez=$id_sez",$dbi);
-		list($voti_sez)=mysql_fetch_row($resg);
+		$sql="SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons=$id_cons and id_sez=$id_sez";
+$resg = $dbi->prepare("$sql");
+$resg->execute();
+
+
+		list($voti_sez)=$resg->fetch(PDO::FETCH_NUM);
 		if(($genere==5 and !$disgiunto and $voti_sez and $flagsg and ($tipo_cons==18 or $tipo_cons==19))){
 
-			$resg = mysql_query("SELECT sum(solo_gruppo) from ".$prefix."_ele_voti_gruppo where id_cons=$id_cons and id_sez=$id_sez",$dbi);
-			list($sgpl)=mysql_fetch_row($resg);
-			$resg = mysql_query("SELECT solo_gruppo from ".$prefix."_ele_sezioni where id_cons=$id_cons and id_sez=$id_sez",$dbi);
-			list($sg)=mysql_fetch_row($resg);
+			$sql="SELECT sum(solo_gruppo) from ".$prefix."_ele_voti_gruppo where id_cons=$id_cons and id_sez=$id_sez";
+$resg = $dbi->prepare("$sql");
+$resg->execute();
+
+
+			list($sgpl)=$resg->fetch(PDO::FETCH_NUM);
+			$sql="SELECT solo_gruppo from ".$prefix."_ele_sezioni where id_cons=$id_cons and id_sez=$id_sez";
+$resg = $dbi->prepare("$sql");
+$resg->execute();
+
+
+			list($sg)=$resg->fetch(PDO::FETCH_NUM);
 			if ($sg != $sgpl) echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_UNI." ".$sgpl." "._ATT_TOT_UNI." ".$sg."</b><br></td></tr>";
 		}
 #controllo voti a liste collegate <= voto di gruppo per voto non disgiunto
 if($genere==5 and !$disgiunto and $flagsg  and ($tipo_cons==18 or $tipo_cons==19)){
-                $resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);
+                $sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
+$resref = $dbi->prepare("$sql");
+$resref->execute();
+
+
 		  $errgrulis=array();
-		$res4= mysql_query("SELECT count(0) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez'", $dbi);
-		list($sezscrl)=mysql_fetch_row($res4); 
+		$sql="SELECT count(0) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez'";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
+		list($sezscrl)=$res4->fetch(PDO::FETCH_NUM); 
 		if ($sezscrl)
-                while ( list($id_gruppo)=mysql_fetch_row($resref))
+                while ( list($id_gruppo)=$resref->fetch(PDO::FETCH_NUM))
                     {
-                    $res3= mysql_query("SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
-                    $res4= mysql_query("SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);
-                    list($vgruppo)=mysql_fetch_row($res3);
-                    list($vliste)=mysql_fetch_row($res4); 
+                    $sql="SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'";
+$res3 = $dbi->prepare("$sql");
+$res3->execute();
+
+
+                    $sql="SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')";
+$res4 = $dbi->prepare("$sql");
+$res4->execute();
+
+
+                    list($vgruppo)=$res3->fetch(PDO::FETCH_NUM);
+                    list($vliste)=$res4->fetch(PDO::FETCH_NUM); 
                     if($vliste>$vgruppo  and ($tipo_cons=18 or $tipo_cons=19))
                         {
 			    $errgrulis[$id_gruppo]=1;
-                         $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-                         list($dgruppo)=mysql_fetch_row($result);
+                         $sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+                         list($dgruppo)=$result->fetch(PDO::FETCH_NUM);
                         echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate<br/> superano i voti assegnati al gruppo $dgruppo </b><br></td></tr>";
                         }
@@ -1369,6 +1935,10 @@
                         {
 			    $errgrulis[$id_gruppo]=1;
-                         $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-                         list($dgruppo)=mysql_fetch_row($result);
+                         $sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+                         list($dgruppo)=$result->fetch(PDO::FETCH_NUM);
                         echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti assegnati al gruppo $dgruppo <br/> superano i voti delle liste collegate</b><br></td></tr>";
                         }
@@ -1405,12 +1975,20 @@
 	}
     echo "</tr>";
-    $res = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ", $dbi);
-    $max = mysql_num_rows($res);
+    $sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+    $max = $res->rowCount();
     //echo "Massimo:$max - id=$id_cons - circo: $circo";
-    $result = mysql_query("select * from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo  ", $dbi);
+    $sql="select * from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo  ";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
     $i=1;
 	$tot_pref=0;
        $totsg=0;
-    while(list($id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo) = mysql_fetch_row($result)){
+    while(list($id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo) = $result->fetch(PDO::FETCH_NUM)){
   
       //echo "test: $id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo";
@@ -1419,8 +1997,16 @@
      if ($num_gruppo != ''){
 	if ($genere==0){
-		$res = mysql_query("SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ", $dbi);
-		list($tot) = mysql_fetch_row($res);
-		$res = mysql_query("SELECT * FROM ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ", $dbi);
-		$pro= mysql_fetch_array($res, 3);
+		$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		list($tot) = $res->fetch(PDO::FETCH_NUM);
+		$sql="SELECT * FROM ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		$pro= $res->fetch(PDO::FETCH_BOTH);
 	
 		if ($pro['si']+$pro['no']!=$pro['validi'] or ($pro['validi']+$pro['nulli']+$pro['bianchi']+$pro['contestati']!=$tot and $pro['validi']+$pro['nulli']+$pro['bianchi']+$pro['contestati']!=0)){
@@ -1452,12 +2038,14 @@
 		echo "<tr style=\"background-color: $bgcolor2; text-align:center\"><td align=\"center\"><input type=\"hidden\" name=\"id_gruppo$i\" value=\"$id_gruppo\"><b>$num_gruppo</b>"
 		."</td><td align=\"left\"><b> $descr_gruppo </b>";
-		$res = mysql_query("SELECT * FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ", $dbi);
-		$pro= mysql_fetch_array($res, 3);
+		$sql="SELECT * FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		$pro= $res->fetch(PDO::FETCH_BOTH);
 		$errcolor='';
 		if(isset($errgrulis[$id_gruppo])) $errcolor="style=\"background-color: rgb(255, 0, 0);\"";
 		echo "</td><td align=\"right\" $errcolor><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\"></td>";
-#		$lisgrures = mysql_query("SELECT count(id_lista) FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo'", $dbi);
-#		list($totlis) = mysql_fetch_row($lisgrures);
-#		if($totlis>1) $insinp=""; else $insinp= "type =\"hidden\" ";		
+
 		if($dettnulli) {echo "<td align=\"right\"><input name=\"solog$i\" value=\"".$pro['solo_gruppo']."\" size=\"7\"  style=\"text-align:right\"></td>"; $totsg+=$pro['solo_gruppo'];} 
 		$tot_pref += $pro['voti'];
@@ -1470,8 +2058,16 @@
    }
 	if ($genere!=0) {
-		$res = mysql_query("SELECT disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
-		list($disgiunto)=mysql_fetch_row($res);
-		$res = mysql_query("SELECT solo_lista FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' ", $dbi);
-		list($sololis)=mysql_fetch_row($res);
+		$sql="SELECT disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		list($disgiunto)=$res->fetch(PDO::FETCH_NUM);
+		$sql="SELECT solo_lista FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		list($sololis)=$res->fetch(PDO::FETCH_NUM);
 		echo "<tr style=\"background-color: $bgcolor1; text-align:center\"><td></td><td>"._TOTPREF."</td><td>$tot_pref</td>";
 		if($dettnulli) echo "<td>$totsg</td>";
@@ -1519,11 +2115,35 @@
 $do = intval($arg[5]);
 $y=count($arg)-1; 
-	mysql_query("delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
+	$sql="delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 	if($do==1) {
-			mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
-			mysql_query("delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
-			mysql_query("delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
-			mysql_query("delete from ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
-			mysql_query("update  ".$prefix."_ele_sezioni set validi_lista='',contestati_lista='',voti_nulli_lista='',solo_gruppo='',solo_lista='' where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
+			$sql="delete from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+			$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+			$sql="delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+			$sql="delete from ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+			$sql="update  ".$prefix."_ele_sezioni set validi_lista='',contestati_lista='',voti_nulli_lista='',solo_gruppo='',solo_lista='' where id_cons='$id_cons' and id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 	
 	}else{
@@ -1534,8 +2154,16 @@
 	$tab="_ele_voti_gruppo";
 	$y--;
-	$res = mysql_query("SELECT disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
-	list($disgiunto)=mysql_fetch_row($res);
+	$sql="SELECT disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+	list($disgiunto)=$res->fetch(PDO::FETCH_NUM);
 	if($disgiunto)
-		$res=mysql_query("update  ".$prefix."_ele_sezioni set solo_lista='".$arg[$y--]."' where id_sez='$id_sez'", $dbi);
+		$sql="update  ".$prefix."_ele_sezioni set solo_lista='".$arg[$y--]."' where id_sez='$id_sez'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 
 }
@@ -1571,8 +2199,16 @@
 	}
 	if($testval) continue;
-	$result = mysql_query("select * from ".$prefix."$tab where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
-	$ar=mysql_fetch_array($result);
-	$res = mysql_query("select num_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' and id_gruppo='$id_gruppo'", $dbi);
-	list($num_gruppo)=mysql_fetch_array($res);
+	$sql="select * from ".$prefix."$tab where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo'";
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+
+	$ar=$result->fetch(PDO::FETCH_BOTH);
+	$sql="select num_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' and id_gruppo='$id_gruppo'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+	list($num_gruppo)=$res->fetch(PDO::FETCH_NUM);
 	$oldval='';
 	if ($ar){
